import * as React from 'react';
import {observer} from "mobx-react-lite";
import {OrderModel} from "../../stores/OrderStore";
import {LinkButton} from "@rx-suite/ui";
import {Trans} from "@lingui/macro";
import {makeStyles} from "@material-ui/core";

type Props = {
    order: OrderModel
}

const useClasses = makeStyles(theme => ({
    linkButton: {
        display: "inline-block",
        position: 'relative',
        margin: theme.spacing(0.25)
    }
}))
export const OrderConfirmationLinkButton: React.FunctionComponent<Props> = observer(({ order }) => {
    const classes = useClasses();

    if(order.isNew) {
        return null;
    }

    return(
        <LinkButton to={`/orders/${order.id}/confirmation`} color={"primary"} className={classes.linkButton}><Trans>Confirmation</Trans></LinkButton>
    )
})