import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Box, Container, Tab, Tabs} from "@material-ui/core";
import {PaddedPaper} from "@rx-suite/ui";
import {Link, useLocation} from "react-router-dom";
import { t } from '@lingui/macro';
import {RxUniverseStore} from "../stores/RxUniverseStore";

export const OrdersTabs: React.FunctionComponent = observer(() => {
    const location = useLocation();
    const hideTabs = location.pathname.includes('create') || location.pathname.includes('edit') || location.pathname.includes('read') || RxUniverseStore.selectedModel.isVA;

    return (
        <>
            { !hideTabs &&
                <Container maxWidth={false}>
                    <Box marginBottom={1}>
                        <PaddedPaper>
                            <Tabs value={location.pathname}>
                                <Tab label={t`Rx-Order`} value={'/orders'} component={Link} to={"/orders"}/>
                                <Tab label={t`Stock Order`} value={'/stock_orders'} component={Link} to={"/stock_orders"}/>
                            </Tabs>
                        </PaddedPaper>
                    </Box>
                </Container>
            }
        </>
    );
})