import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ScannerField, useReadonlyContext} from "@rx-suite/ui";
import {useOrderEntryStore} from "../../../hooks/useOrderEntryStore";
import {t} from "@lingui/macro";
import {Search} from "@material-ui/icons";

type Props = {
    store?: any
}

export const FrameFindUPCInput: React.FunctionComponent<Props> = observer(({store = useOrderEntryStore()}) => {
    return (<>
            <ScannerField
                inputConfig={{
                    label: t`Scan/Type UPC...`,
                    value: store.upcLookupFieldValue,
                    onChange: store.handleFrameUPCChange,
                    onBlur: store.maybeCommitUPCLookupField,
                    disabled: store.fetchingFrameCandidates || store.order?.readOnly,
                    InputProps: {
                        startAdornment: <Search/>
                    },
                    autoFocus: false
                }}
                scanConfig={{
                    onComplete: store.commitUPCLookupField,
                    onPartial: store.maybeCommitUPCLookupField
                }}
                global
            />
        </>
    );
})